TIMEOUT(1)

NAZWA
timeout - uruchamia polecenie z limitem czasu

SKŁADNIA
timeout [OPCJA] CZAS-TRWANIA POLECENIE [ARGUMENTY]...
timeout [OPCJA]

OPIS

Uruchamia POLECENIE i zabija je, jeśli jest wciąż aktywne po danym CZASIE-TRWANIA.

Argumenty, które są obowiązkowe dla długich opcji, są również obowiązkowe dla krótkich.

--preserve-status

    wychodzi z tym samym kodem zakończenia co POLECENIE, nawet jeśli polecenie się przeterminowało

--foreground

    Jeśli polecenie timeout nie jest uruchomione bezpośrednio w powłoce interaktywnej, pozwala POLECENIU czytać z TTY i otrzymywać sygnały TTY. W tym trybie, procesy potomne POLECENIA nie podlegają ograniczeniu czasu.

-k, --kill-after=CZAS-TRWANIA

    wysyła także sygnał KILL, jeśli POLECENIE wciąż działa po wysłaniu pierwszego sygnału

-s, --signal=SYGNAŁ

    określa sygnał wysłany po CZASIE-TRWANIA. SYGNAŁ może być nazwą (np. HUP) lub numerem. Listę sygnałów można otrzymać wykonując polecenie kill -l

--help
    wyświetla ten tekst i kończy pracę

--version
    wyświetla informacje o wersji i kończy działanie

CZAS-TRWANIA jest liczbą zmiennoprzecinkową z opcjonalnym przyrostkiem: s - sekundy (domyślnie), m - minuty, h - godziny lub d - dni.

Jeśli polecenie przekroczy podany czas i nie włączono opcji --preserve-status, program wychodzi z kodem zakończenia 124. W przeciwnym wypadku, kod wyjścia jest taki sam jak POLECENIA. Jeśli nie określono sygnału, po wyczerpaniu czasu wysyłany jest sygnał TERM. TERM zabija procesy, które nie blokują go ani nie przechwytują. Może być konieczne również użycie sygnału KILL (9), ponieważ nie może on zostać przechwycony. Wówczas kod zakończenia wyniesie 128+9 zamiast 124.

BŁĘDY
Część platform nie obsługuje obecnie czasów oczekiwania większych niż 2038.

AUTOR
Napisane przez Padraiga Bradyego.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów w timeout proszę wysyłać (po angielsku) na adres bug-coreutils@gnu.org
Strona internetowa GNU coreutils: <http://www.gnu.org/software/coreutils/>
Ogólna pomoc dotycząca oprogramowania GNU: <http://www.gnu.org/gethelp/>
Zgłoszenia błędów w tłumaczeniu timeout proszę wysyłać na adres <http://translationproject.org/team/pl.html>

PRAWA AUTORSKIE
Copyright © 2013 Free Software Foundation, Inc. Licencja GPLv3+: GNU GPL w wersji 3 lub późniejszej <http://gnu.org/licenses/gpl.html>.
Jest to wolne oprogramowanie: można je zmieniać i rozpowszechniać. Nie ma ŻADNEJ GWARANCJI, w granicach określonych przez prawo.

ZOBACZ TAKŻE
kill(1)

Pełna dokumentacja timeout jest dostępna w formacie Texinfo. Jeśli programy info i timeout są poprawnie zainstalowane, to polecenie

    info coreutils 'timeout invocation'

powinno dać dostęp do pełnego podręcznika.

TŁUMACZENIE
Autorem polskiego tłumaczenia niniejszej strony podręcznika man jest Michał Kułach <michal.kulach@gmail.com>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 8.21 oryginału.